org.fourthline.cling.support.shared

## Class Main

- java.lang.Object
- - org.fourthline.cling.support.shared.Main

- All Implemented Interfaces:
    Thread.UncaughtExceptionHandler, ShutdownHandler

      public abstract class Main
      extends Object
      implements ShutdownHandler, Thread.UncaughtExceptionHandler

  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JFrame` | `errorWindow`
    `protected boolean` | `isRegularShutdown`
    `protected org.seamless.swing.logging.LoggingHandler` | `loggingHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Main()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract String` | `getAppName()`
    `void` | `init()`
    `protected void` | `removeLoggingHandler()`
    `void` | `shutdown()`
    `void` | `uncaughtException(Thread thread, Throwable throwable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### errorWindow

          protected final JFrame errorWindow

    - #### loggingHandler

          protected final org.seamless.swing.logging.LoggingHandler loggingHandler

    - #### isRegularShutdown

          protected boolean isRegularShutdown

  - ### Constructor Detail

    - #### Main

          public Main()

  - ### Method Detail

    - #### init

          public void init()

    - #### shutdown

          public void shutdown()

      Specified by:
        `shutdown` in interface `ShutdownHandler`

    - #### uncaughtException

          public void uncaughtException(Thread thread,
                                        Throwable throwable)

      Specified by:
        `uncaughtException` in interface `Thread.UncaughtExceptionHandler`

    - #### removeLoggingHandler

          protected void removeLoggingHandler()

    - #### getAppName

          protected abstract String getAppName()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.